# IndependentStateUpdater class

(Shortest import: `from brian2.stateupdaters.exact import IndependentStateUpdater)`

class brian2.stateupdaters.exact.IndependentStateUpdater

  Bases: `StateUpdateMethod`

  A state update for equations that do not depend on other state variables, i.e. 1-dimensional differential equations. The individual equations are solved by sympy.

  Deprecated since version 2.1: This method might be removed from future versions of Brian.

  Methods

  `__call__`(equations[, variables, method_options]) | Generate abstract code from equations.

  Details

  __call__(equations, variables=None, method_options=None)

    Generate abstract code from equations. The method also gets the the variables because some state updaters have to check whether variable names reflect other state variables (which can change from timestep to timestep) or are external values (which stay constant during a run) For convenience, this arguments are optional – this allows to directly see what code a state updater generates for a set of equations by simply writing `euler(eqs)`, for example.

    Parameters:

      equations : `Equations`

      > The model equations.

      variables : dict, optional

      > The `Variable` objects for the model variables.

      method_options : dict, optional

      > Additional options specific to the state updater.

      Returns :

      ——- :

      code : str

      > The abstract code performing a state update step.